package com.th.demo.mapping.ware;

import com.th.demo.model.ware.DistributionRecord;

import java.util.Date;
import java.util.List;

public interface DistributionRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(DistributionRecord record);

    int insertSelective(DistributionRecord record);

    DistributionRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DistributionRecord record);

    int updateByPrimaryKey(DistributionRecord record);

    List<DistributionRecord> select(String truckNo, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, String type, Date fromDate, Date toDate, String userId, String belongId);

    List<DistributionRecord> selectDistribution(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, String truckNo, String type, Date fromDate, Date toDate, String userId, String belongId);

    List<DistributionRecord> selectTotal(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, String truckNo, String type, Date fromDate, Date toDate, String userId, String belongId);
}